Subject: Re: bnx2 probe order change from 2.6.21 -> 2.6.24

From: Phil Oester <[email-masked]>
Date: Wed, 16 Apr 2008 08:51:01 -0700

On Thu, Apr 10, 2008 at 11:44:55AM -0700, Jim Westfall wrote:
> Phil Oester <[email-masked]> wrote [04.10.08]:
> > I recently upgraded a Dell Poweredge 1950 from 2.6.21 to 2.6.24, and found
> > that the onboard Broadcom NetXtreme II nics got probed in the reverse order.
> 
> We ran into this issue as well when going from 2.6.20 to 2.6.23 on dell 
> 1950/2950s.
> 
> If you check your dmesg output from your older kernel you should see
> 
> PCI: Dell PowerEdge 1950 detected, enabling pci=bfsort.
> 
> With the newer kernel the code path that triggers the above is removed if 
> you have ACPI enabled in the kernel.

Thanks.  This was caused by commit 08f1c192c3c32797068bfe97738babb3295bbf42
(x86-64: introduce struct pci_sysdata to facilitate sharing of ->sysdata).

I've sent something along to the kernel list.

Phil